
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Cassandra  2.2.7 Release Notes

These release notes cover new developer and user-facing incompatibilities, important issues, features, and major improvements.


---

* [CASSANDRA-11574](https://issues.apache.org/jira/browse/CASSANDRA-11574) | *Major* | **clqsh: COPY FROM throws TypeError with Cython extensions enabled**

Any COPY FROM command in cqlsh is throwing the following error:

"get\_num\_processes() takes no keyword arguments"

Example command: 

COPY inboxdata (to\_user\_id,to\_user\_network,created\_time,attachments,from\_user\_id,from\_user\_name,from\_user\_network,id,message,to\_user\_name,updated\_time) FROM 'inbox.csv';

Similar commands worked parfectly in the previous versions such as 3.0.4



